//
//  PTKEntry.h
//  PhotoKeeper
//
//  Created by Jason P. McLaughlin on 6/1/13.
//  Copyright (c) 2013 Piercing Productions. All rights reserved.
//

#import <Foundation/Foundation.h>

@class PTKMetadata;

@interface PTKEntry : NSObject

@property (strong) NSURL * fileURL;
@property (strong) PTKMetadata * metadata;
@property (assign) UIDocumentState state;
@property (strong) NSFileVersion * version;

- (id)initWithFileURL:(NSURL *)fileURL metadata:(PTKMetadata *)metadata state:(UIDocumentState)state version:(NSFileVersion *)version;
- (NSString *) description;

@end
