//
//  PTKDocument.h
//  PhotoKeeper
//
//  Created by Jason P. McLaughlin on 6/1/13.
//  Copyright (c) 2013 Piercing Productions. All rights reserved.
//

#import <UIKit/UIKit.h>

@class PTKData;
@class PTKMetadata;

#define PTK_EXTENSION @"ptk"

@interface PTKDocument : UIDocument

// Data
- (UIImage *)photo;
- (void)setPhoto:(UIImage *)photo;

// Metadata
@property (nonatomic, strong) PTKMetadata * metadata;
- (NSString *) description;

@end
