//
//  PTKEntry.m
//  PhotoKeeper
//
//  Created by Jason P. McLaughlin on 6/1/13.
//  Copyright (c) 2013 Piercing Productions. All rights reserved.
//

#import "PTKEntry.h"

@implementation PTKEntry

@synthesize fileURL = _fileURL;
@synthesize metadata = _metadata;
@synthesize state = _state;
@synthesize version = _version;

- (id)initWithFileURL:(NSURL *)fileURL metadata:(PTKMetadata *)metadata state:(UIDocumentState)state version:(NSFileVersion *)version {
    
    if ((self = [super init])) {
        self.fileURL = fileURL;
        self.metadata = metadata;
        self.state = state;
        self.version = version;
    }
    return self;
    
}

- (NSString *) description {
    return [[self.fileURL lastPathComponent] stringByDeletingPathExtension];
}

@end
